# eUICC change events

Any eUICC changes will trigger an update on the eUICC configuration on the platform as an event. The updated eUICC configuration will be pushed to the configured endpoint in below format.

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "eid": "12345611014230000000000000123456",
  "number_of_profiles": 2,
  "profiles": [
    {
      "imsi": "123404012345678",
      "iccid": "1234560000003012345",
      "msisdn": null,
      "fallback": false,
      "provider": "XYZ",
      "bootstrap": false,
      "sim_profile": "CYXXXX",
      "euicc_status": "ENABLED"
    },
    {
      "imsi": "654321087654321",
      "iccid": "6543210000001234567",
      "msisdn": null,
      "fallback": true,
      "provider": "PQR",
      "bootstrap": true,
      "sim_profile": "CYXXXX",
      "euicc_status": "DISABLED"
    }
  ],
  "rsp_platform": "SAS",
  "rule_details": {
    "name": "eUICC events",
    "event": "EUICC Change Events",
    "category": "Create stream",
    "parameters": null
  },
  "sim_type": "Standard Plugin",
  "updated_at": "2023-12-14T13:59:23.239622Z"
}
```

| Item                                          | Description                                                                                    |
| --------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| account\_name                                 | Account name                                                                                   |
| account\_no                                   | Account number                                                                                 |
| eid                                           | EID of the physical eSIM                                                                       |
| number\_of\_profiles                          | Number of SIM Profiles/ ICCIDs on the physical eUICC SIM.                                      |
| rsp\_platform                                 | Identifies which RSP platform was used for transaction.                                        |
| rule\_details                                 | Details of the rule that is enabled to create the notifications via webhook.                   |
| sim\_type                                     | Physical form factor of the eUICC SIM.                                                         |
| updated\_at                                   | Time stamp in UTC.                                                                             |
| <mark style="color:blue;">**profiles**</mark> | <mark style="color:blue;">**Details of each SIM Profile/ ICCID on the eUICC SIM.**</mark>      |
| imsi                                          | IMSI of each SIM Profile.                                                                      |
| iccid                                         | ICCID of each SIM Profile.                                                                     |
| msisdn                                        | MSISDN of each SIM Profile.                                                                    |
| fallback                                      | Fallback attribute status of each SIM Profile.                                                 |
| provider                                      | Connectivity Provider name of each SIM Profile.                                                |
| bootstrap                                     | Bootstrap status of each SIM Profile.                                                          |
| sim\_profile                                  | SIM Profile code given by ConnectedYou to each set of SIM Profile from connectivity providers. |
| euicc\_status                                 | Enabled status of each SIM Profile on the eUICC SIM.                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/euicc-change-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
